Last Comment Bug 803856 - Port using -mstackrealign to comm-central
: Port using -mstackrealign to comm-central
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: Thunderbird 19.0
Assigned To: Ian Neal
:
Mentors:
Depends on: 631252 675221 680818 706474 802375
Blocks: 802352 803854 803862
  Show dependency treegraph
 
Reported: 2012-10-20 09:54 PDT by Ian Neal
Modified: 2012-10-28 16:09 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Use -mstackrealign [Checked in: Comment 2] (797 bytes, patch)
2012-10-20 09:54 PDT, Ian Neal
bugspam.Callek: review+
Details | Diff | Review

Description Ian Neal 2012-10-20 09:54:48 PDT
Created attachment 673587 [details] [diff] [review]
Use -mstackrealign [Checked in: Comment 2]

Port the following bugs:
Bug 631252 - Use -mstackrealign on 32-bit mingw
Bug 706474 - Use -fno-keep-inline-dllexport in mingw builds
Bug 675221 - Remove XPCOM proxies (Part G - configure.in change)
Bug 680818 - HAVE_STDCALL is unnecessary on Win64

I will push this patch and the ones from bug 802343 and bug 802352 to the try server
Comment 1 Mozilla RelEng Bot 2012-10-21 07:45:36 PDT
Try run for 6866a8115a15 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=6866a8115a15
Results (out of 7 total builds):
    success: 6
    failure: 1
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/iann_cvs@blueyonder.co.uk-6866a8115a15
Comment 2 Ian Neal 2012-10-28 16:09:20 PDT
Comment on attachment 673587 [details] [diff] [review]
Use -mstackrealign [Checked in: Comment 2]

http://hg.mozilla.org/comm-central/rev/3018691b7e50

Note You need to log in before you can comment on or make changes to this bug.